Bug 891205 - nodejs-minimatch - JavaScript glob matcher
nodejs-minimatch - JavaScript glob matcher
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On: 891202 891236
Blocks: 891171 891175 891193
  Show dependency treegraph
 
Reported: 2013-01-02 03:37 EST by T.C. Hollingsworth
Modified: 2013-01-13 06:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-13 06:58:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mhroncok: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-01-02 03:37:03 EST
Spec: http://patches.fedorapeople.org/npm/nodejs-minimatch.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-minimatch-0.2.9-1.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4831017
FAS username: patches

Converts glob expressions to JavaScript "RegExp" objects.

This package is part of the npm stack and a future F19 Feature for Node.js.

This package may depend on other packages in the npm stack that aren't explicitly
listed as dependencies of this bug.  For more information, see bug 891171.

Please use nodejs-0.6.5-3 or later when building or using this package.
Comment 1 Miro Hrončok 2013-01-09 10:12:23 EST
Description and Summary OK.

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

$ rpmlint ../SRPMS/nodejs-minimatch-0.2.9-1.fc18.src.rpm ../RPMS/noarch/nodejs-minimatch-0.2.9-1.fc18.noarch.rpm
nodejs-minimatch.src: W: spelling-error Summary(en_US) matcher -> marcher, matches, catcher
nodejs-minimatch.src: W: strange-permission nodejs-minimatch.spec 0600L
nodejs-minimatch.src: W: no-%build-section
nodejs-minimatch.noarch: W: spelling-error Summary(en_US) matcher -> marcher, matches, catcher
nodejs-minimatch.noarch: W: only-non-binary-in-usr-lib
nodejs-minimatch.noarch: W: dangling-symlink /usr/lib/node_modules/minimatch/node_modules/lru-cache /usr/lib/node_modules/lru-cache
nodejs-minimatch.noarch: W: dangling-symlink /usr/lib/node_modules/minimatch/node_modules/sigmund /usr/lib/node_modules/sigmund
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

FIX: Add an empty %build section
TODO: Change spec permissions to 664
Other issues are false positive. Symlinks lead to required packages, OK.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. OK.
MUST: The package must meet the Packaging Guidelines. OK
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license.

Chcecked in LICENSE, MIT. OK

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. OK
MUST: The spec file must be written in American English. OK
MUST: The spec file for the package MUST be legible. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. 

sha256sum ../SOURCES/minimatch-0.2.9.tgz 
3181e6d978d096c6dd3914d498d49013a3aba60ee8d6d0d5115323d0e8e6d231  ../SOURCES/minimatch-0.2.9.tgz
$ wget -q http://registry.npmjs.org/minimatch/-/minimatch-0.2.9.tgz
$ sha256sum minimatch-0.2.9.tgz 
3181e6d978d096c6dd3914d498d49013a3aba60ee8d6d0d5115323d0e8e6d231  minimatch-0.2.9.tgz

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. OK
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. OK, builds in mock
MUST: Packages must NOT bundle copies of system libraries. OK
MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. OK
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. OK
MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.

$ rpm -q -lv -p ../RPMS/noarch/nodejs-minimatch-0.2.9-1.fc18.noarch.rpm 
drwxr-xr-x    2 root    root                        0 led  9 12:19 /usr/lib/node_modules/minimatch
-rw-r--r--    1 root    root                    28935 říj 25 17:33 /usr/lib/node_modules/minimatch/minimatch.js
drwxr-xr-x    2 root    root                        0 led  9 12:19 /usr/lib/node_modules/minimatch/node_modules
lrwxrwxrwx    1 root    root                       31 led  9 12:19 /usr/lib/node_modules/minimatch/node_modules/lru-cache -> /usr/lib/node_modules/lru-cache
lrwxrwxrwx    1 root    root                       29 led  9 12:19 /usr/lib/node_modules/minimatch/node_modules/sigmund -> /usr/lib/node_modules/sigmund
-rw-r--r--    1 root    root                      662 led  9 12:19 /usr/lib/node_modules/minimatch/package.json
drwxr-xr-x    2 root    root                        0 led  9 12:19 /usr/share/doc/nodejs-minimatch-0.2.9
-rw-r--r--    1 root    root                     1092 čec 29  2011 /usr/share/doc/nodejs-minimatch-0.2.9/LICENSE
-rw-r--r--    1 root    root                     6652 bře 22  2012 /usr/share/doc/nodejs-minimatch-0.2.9/README.md

OK

MUST: Each package must consistently use macros. OK
MUST: The package must contain code, or permissable content. OK
MUST: If a package includes something as %doc, it must not affect the runtime of the application. OK
MUST: Packages must not own files or directories already owned by other packages. OK
MUST: All filenames in rpm packages must be valid UTF-8. OK

SHOULD: The reviewer should test that the package builds in mock. OK
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. OK

Please fix the FIX item and consider fixing TODO.

Resolution: NEEDSWORK.
Comment 2 T.C. Hollingsworth 2013-01-10 02:42:20 EST
All of the identified issues should bne fixed in this v3ersion:

Spec: http://patches.fedorapeople.org/npm/nodejs-minimatch.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-minimatch-0.2.9-2.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4854336
Comment 3 Miro Hrončok 2013-01-10 05:56:28 EST
Package approved.
Comment 4 T.C. Hollingsworth 2013-01-10 14:48:21 EST
New Package SCM Request
=======================
Package Name: nodejs-minimatch
Short Description: JavaScript glob matcher
Owners: patches
Branches: f18 el6
InitialCC:
Comment 5 Jon Ciesla 2013-01-10 14:59:37 EST
Git done (by process-git-requests).
Comment 6 T.C. Hollingsworth 2013-01-13 06:58:45 EST
Built for rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4864279

Note You need to log in before you can comment on or make changes to this bug.